[SciPy-user] error linking to libg2c on 64-bit machine

Giovanni Samaey Giovanni.Samaey at cs.kuleuven.ac.be
Wed Nov 10 11:20:50 CST 2004


> First, try manually if libg2c.so is usable. After scipy build crashes
> then execute the linking command using libg2c.so. For example,
>
> /usr/bin/g77 -shared
> build/temp.linux-x86_64-2.3/Lib/interpolate/_fitpackmodule.o
> -Lbuild/temp.linux-x86_64-2.3 -lfitpack /path/to/libg2c.so -o
> build/lib.linux-x86_64-2.3/scipy/interpolate/_fitpack.so
>
> and then try to import _fitpack to python:
>
>   cd build/lib.linux-x86_64-2.3/scipy/interpolate/
>   python -c 'import _fitpack'
>
> If this works then I can make a patch for 
> scipy_distutils/gnufcompiler.py.

This works, on some conditions:  there are several libg2c.so files on 
the system.
The one that was sitting next to the libg2c.a file that was detected, 
did not work.
I had to supply another one.

Basically, I have to be able to supply the complete filename of the 
correct libg2c.so file
to continue.

Also, as you might have seen in the thread on the plotting (which is 
also me, on the same machine),
I have the same problem with x11 libraries.  There are some valid x11 
libraries in a freaky place, which
I have to link to...

Anyway, I have passed another step.  What should I do next?

Thanks a lot already!  You've been a great help!

Giovanni



More information about the SciPy-user mailing list